For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Contractors
    • Introduction
    • Invoice adjustments
    • Timesheets
  • Common Use Cases
    • Sign contracts and amendments in bulk
    • Give bonus to contractors
    • Reimburse contractor expenses
  • Endpoints
      • POSTCreate Hourly Report Preset
      • POSTCreate Hourly Report Root Preset
      • DELDelete Hourly Report Preset
      • GETGet Hourly Report Preset by ID
      • GETGet Hourly Report Presets
      • PATCHUpdate Hourly Report Preset
LogoLogo
SupportDeel Home
EndpointsProjects

Delete Hourly Report Preset

DELETE
/timesheets/presets/:id
DELETE
/rest/v2/timesheets/presets/:id
$curl -X DELETE https://api.letsdeel.com/rest/v2/timesheets/presets/123e4567-e89b-12d3-a456-426614174000 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {}
>}'
1{
2 "data": {
3 "deleted": true
4 }
5}

Permanently deletes an hourly report preset identified by id. Token scopes: timesheets:write

Was this page helpful?
Previous

Get Hourly Report Preset by ID

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the hourly report preset to delete

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/